Rosewood Staff App - Problem #14584
Rosewood Staff App Share Card screen Ul

Dec 19, 2024 12:23 PM - Peter Obeid

Status: Closed Start date: Dec 19, 2024
Priority: Low (Small degradation) Due date: Dec 20, 2024
Assignee: Peter Obeid % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

History

#1 - Jan 02, 2025 10:05 AM - Peter Obeid

- Status changed from New to Accepted

#2 - Jan 02, 2025 10:05 AM - Peter Obeid

- Status changed from Accepted to Resolved

#3 - Jan 02, 2025 10:05 AM - Peter Obeid

- Status changed from Resolved to Closed

Oct 27, 2025
